#############################
# AUTOGENERATED FROM TEMPLATE
#############################
%global debug_package %{nil}
%global user prometheus
%global group prometheus

Name:    alertmanager
Version: 0.25.0
Release: %{?build_number}%{?!build_number:1}%{?dist}
Summary: Prometheus Alertmanager.
License: ASL 2.0
URL:     https://github.com/prometheus/alertmanager

Source0: https://github.com/prometheus/alertmanager/releases/download/v%{version}/%{name}-%{version}.linux-amd64.tar.gz
Source1: autogen_%{name}.unit
Source2: autogen_%{name}.default
Source3: autogen_%{name}.init

%if 0%{?fedora} >= 19
BuildRequires: systemd-rpm-macros
%endif
%{?systemd_requires}
Requires(pre): shadow-utils
%if 0%{?el6} || 0%{?el5}
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
%endif


%description
The Alertmanager handles alerts sent by client applications such as the
Prometheus server. It takes care of deduplicating, grouping, and routing them to
the correct receiver integration such as email, PagerDuty, or OpsGenie. It also
takes care of silencing and inhibition of alerts.



%prep
%setup -q -n %{name}-%{version}.linux-amd64


%build
/bin/true


%install
mkdir -vp %{buildroot}%{_sharedstatedir}/prometheus
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/default/%{name}
%if 0%{?el5}
install -D -m 755 %{SOURCE3} %{buildroot}%{_initrddir}/%{name}
%else
    %if 0%{?el6}
    install -D -m 755 %{SOURCE3} %{buildroot}%{_initddir}/%{name}
    %else
    install -D -m 644 %{SOURCE1} %{buildroot}/etc/systemd/system/%{name}.service
    %endif
%endif
install -D -m 755 amtool %{buildroot}%{_bindir}/amtool
install -D -m 640 alertmanager.yml %{buildroot}%{_sysconfdir}/prometheus/alertmanager.yml


%pre
getent group prometheus >/dev/null || groupadd -r prometheus
getent passwd prometheus >/dev/null || \
  useradd -r -g prometheus -d %{_sharedstatedir}/prometheus -s /sbin/nologin \
          -c "Prometheus services" prometheus
exit 0


%post
%if 0%{?el6} || 0%{?el5}
chkconfig --add %{name}
%else
%systemd_post %{name}.service
%endif


%preun
%if 0%{?el6} || 0%{?el5}
if [ $1 -eq 0 ] ; then
    service %{name} stop > /dev/null 2>&1
    chkconfig --del %{name}
fi
%else
%systemd_preun %{name}.service
%endif


%postun
%if 0%{?el6} || 0%{?el5}
if [ "$1" -ge "1" ] ; then
    service %{name} condrestart >/dev/null 2>&1 || :
fi
%else
%systemd_postun %{name}.service
%endif


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/default/%{name}
%dir %attr(755, %{user}, %{group}) %{_sharedstatedir}/prometheus
%if 0%{?el5}
%{_initrdddir}/%{name}
%else
    %if 0%{?el6}
    %{_initddir}/%{name}
    %else
    /etc/systemd/system/%{name}.service
    %endif
%endif
%attr(755, -, -)%{_bindir}/amtool
%config(noreplace) %attr(640, -, %{group})%{_sysconfdir}/prometheus/alertmanager.yml
